/* Copyright (c) 1997-2009
   Ewgenij Gawrilow, Michael Joswig (Technische Universitaet Darmstadt, Germany)
   http://www.polymake.de

   This program is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by the
   Free Software Foundation; either version 2, or (at your option) any
   later version: http://www.gnu.org/licenses/gpl.txt.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
--------------------------------------------------------------------------------
   $Project: polymake $$Id: bipartite.cc 9298 2009-09-02 23:10:56Z gawrilow $
*/

#include <bipartite.h>
#include <Graph.h>
#include <perl/Object.h>

namespace polymake { namespace graph {

   void bipartite(perl::Object p)
   {
      const Graph<> G=p.give("ADJACENCY");
      const int sign=bipartite_sign(G);
      p.take("BIPARTITE") << (sign>=0);
      p.take("SIGNATURE") << sign;
   }

   Function4perl(&bipartite, "bipartite");
} }
